package com.yihu.jw.entity.hospital.manage;

import com.yihu.jw.entity.IntegerIdentityEntity;

import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "base_dept_homepage_banner")
@SequenceGenerator(name="id_generated", sequenceName="BASE_DEPT_HOMEPAGE_BANNER_SEQ")
public class BaseDeptHomepageBannerDO  extends IntegerIdentityEntity {
    private String deptCode;//科室code
    private String deptName;//科室名称
    private String image;//图标
    private Integer sort;//排序
    private Integer del;//是否删除（1是 0否）
    private Date createTime;//创建时间

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
